Extra interwiki badge required at Wikidata for Wikisource works to show "digital" documents
Closed, ResolvedPublic

Description

The current badges that exist for Wikisource interwikis are the traditional not proofread/proofread/validated/problematic that reflect the readiness of work through a transcription/proofing process. This approach works well for old paper-published works. That approach, however, does not work for modern digital documents which come ready and where we need to demonstrate their status outside of the ordinary. Accordingly I put that to the community here.

As the German Technical Information Library is looking to migrate open source works to the Wikisources, it is opportune to look to progress the matter.

So can we please coordinate the addition of a fifth badge for the use of the Wikisources, "digital" and if you are asking for a colour, I would have said grey or blue. Thanks.

Decisions (see discussion below):

Patches for review:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 10:13 AM
Lydia_Pintscher triaged this task as "Low" priority.
Micru added a subscriber: Micru.Dec 14 2016, 10:44 AM
Billinghurst changed the title from "Extra interwiki badge required at Wikidata for Wikisource works to show "digital"documents" to "Extra interwiki badge required at Wikidata for Wikisource works to show "digital" documents".Dec 14 2016, 11:50 AM
Yann added a subscriber: Yann.Dec 20 2016, 3:37 PM

Change 329452 had a related patch set uploaded (by Ladsgroup):
Add 'digitaldocument' badge styles

https://gerrit.wikimedia.org/r/329452

Change 329453 had a related patch set uploaded (by Ladsgroup):
Add badge for "digitaldocument" in Wikibase

https://gerrit.wikimedia.org/r/329453

Ladsgroup added a project: Wikidata-Sprint.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 28 2016, 11:56 AM
Ladsgroup moved this task from Proposed to Review on the Wikidata-Sprint board.Dec 28 2016, 11:56 AM
Ladsgroup moved this task from Incoming to Blocked on others on the User-Ladsgroup board.
thiemowmde moved this task from Review to Proposed on the Wikidata-Sprint board.Dec 28 2016, 12:14 PM
thiemowmde added a subscriber: thiemowmde.

Is this a community decision? Where was this discussed? I'm not sure if it was a good idea to go ahead and create these patches without having a decision (that is documented and can easily be referenced). Questions:

  • Where does the name "digitaldocument" come from? Is this an identifier the community already uses? (We can not change this later.)
  • Is gray ok? (We can easily change this later.)
  • Should there be a default icon in the "other projects" sidebar? This will require an other change in the WikimediaBadges code repository. (Again, this can easily be changed later.)

There is a link to the community proposal in the request ... [[d:Wikidata talk:Wikisource]], and it was mentioned at [[s:en:Wikisource:Scriptorium]]. The commentary was negligible, though it probably had as much as when the original badges were set up. I would say that there is reduced knowledge (and use) of the badges in WSes and that is reflected in the quiescent discussion.

The name, well I need it to represent digital documents at the WSes, how it is named and displayed in among all the other badges is not my decision, I see that as a broader community decision. It could be called "digital" or "digital documents" or some clear alternative. There is no current system usage of the term at enWS, nor to my knowledge at the broader WSes; it is an understood term/concept, and, presumably, readily translatable.

For colour I said grey or blue <shrug>, it just needs to be different.

For other projects, well probably less important at this stage. There are already so many issues with the Wikisources getting functional interwikis due to editions <-> editions <-> editions <-> ... matters being unresolved, among other things. So I would see it as a lesser priority, though can progress simultaneously if desired.

At enWS primarily I am looking to have this utilised to display for badged works through a yet to be created use of <indicator>. There is no current means to indicate digital documents in a schema that has its heart file scans and proofreading, and these works will not need traditional proofreading.

So I see something along the lines of a modification to our header template that where it detects a work badged as "digital" to display the designated iconography for that type of work.

I hope that covers the matters raised.

@thiemowmde I did this because @Lydia_Pintscher told me so, so I assume it has PM's approval or at least I thought it has. Do you want an explicit confirmation?

Ankry added a subscriber: Ankry.Dec 29 2016, 8:32 AM
Ankry awarded a token.Dec 29 2016, 8:38 AM

Yeah this is fine from my side as discussed with @Ladsgroup.

Change 329664 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add "digitaldocument" badge icons for "other projects" sidebar

https://gerrit.wikimedia.org/r/329664

thiemowmde moved this task from Proposed to Review on the Wikidata-Sprint board.Dec 30 2016, 10:41 AM
thiemowmde added a project: Wikidata.org.
thiemowmde edited the task description. (Show Details)Dec 30 2016, 10:49 AM

Change 329452 merged by jenkins-bot:
Add 'digitaldocument' badge styles

https://gerrit.wikimedia.org/r/329452

Ladsgroup edited the task description. (Show Details)Jan 3 2017, 4:48 PM

I'm guessing we should wait until these first two patches gets deployed in Wikidata (probably we can backport too) then we can merge the config patch.

Change 329664 merged by jenkins-bot:
Add "digitaldocument" badge icons for "other projects" sidebar

https://gerrit.wikimedia.org/r/329664

After some talks, we decided to do the other way.

Change 329453 merged by jenkins-bot:
Add badge for "digitaldocument" in Wikibase

https://gerrit.wikimedia.org/r/329453

Ladsgroup edited the task description. (Show Details)Jan 3 2017, 7:13 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-03T19:13:39Z] <thcipriani@tin> Synchronized wmf-config/Wikibase-production.php: SWAT: [[gerrit:329453|Add badge for "digitaldocument" in Wikibase]] T153186 (duration: 01m 33s)

Okay, All patches are merged. We need to wait for several days until the proper styles (color and stuff) get deployed but in the mean time you can use it.

Ladsgroup moved this task from Review to Done on the Wikidata-Sprint board.Jan 3 2017, 7:16 PM
thiemowmde closed this task as "Resolved".Jan 4 2017, 9:27 AM
thiemowmde moved this task from consider for next sprint to in current sprint on the Wikidata board.